require 'rubygems'
require 'json'
require 'listen'
require 'httparty'

require 'codefusion/classroom'
require 'codefusion/dir_parser'
require 'codefusion/file_parser'
require 'codefusion/firebase_command'
require 'codefusion/firebase_create_command'
require 'codefusion/firebase_update_command'
require 'codefusion/listener'
require 'codefusion/view'

class CodefusionApp
	def initialize(args = [])
		@args = args
		@file = ""
		interpret_args
	end

	private
	def interpret_args
		(path_given? and valid_path?) ? execute_command : provide_help
	end

	def path
		@args[0]
	end

	def path_given?
		path != nil
	end

	def valid_path?
		path_is_dir? || path_is_file?
	end

	def path_is_file?
		File.file?(path)
	end

	def path_is_dir?
		File.directory?(path)
	end

	def provide_help
		View.help_info
	end

	def execute_command
		set_path
		run_program
	end

	def set_path
		@path = Dir.pwd
		path_is_dir? ? Dir.chdir(path) : @file = path
	end

	def run_program
		Listener.new(Classroom.new(@path, @file) ).start
	end
end