module FileParser
  def self.make_hash(path, file, parent_dir)
    { folder_name:  "",
      files:        FileParser.return_file(path, file, parent_dir) }
  end

  def self.shortened_path(path, parent_dir)
    path.slice!(parent_dir)
    path[1..-1]
  end

  private
  def self.return_file(path, file, parent_dir)
    begin
      if File.read( File.join(path, file) ).to_json
    [ { file_name:    FileParser.shortened_path( File.join(path, file), parent_dir ),
        file_content: File.read( File.join(path, file) )
      }
    ]
      end
    rescue Exception => e
      View.wrong_filetype_message( File.extname(file) )
      exit
    end
  end
end