module FirebaseCommand
  include HTTParty
  extend self

  def uri
    "https://radiant-fire-3325.firebaseio.com/classrooms"
  end

  def get_config(request)
    { body: make_json(request),
      options: { headers: { "Content-Type" => "application/json"} }
    }
  end

  def classroom_codes
    parse_classroom_codes( parse_values(response) )
  end

  def request_url(uuid = "")
    "#{uri}/#{uuid}.json"
  end

  private
  def make_json(request)
    { classroom_code: request[0], content: request[1] }.to_json
  end

  def response
    HTTParty.get(request_url)
  end

  def parse_values(response)
    JSON.parse(response.body).values
  end

  def parse_classroom_codes(classrooms)
    classrooms.map { |classroom| classroom["classroom_code"] }
  end
end