module View
  def self.display_message(message)
    puts "    #{message}"
  end

  def self.listen_message(file_name, url)
    puts <<-EOM

      listening to: #{file_name}
      view at: #{url}
      stop: 'ctrl + c'
    EOM
  end

  def self.modified_message(file_name, url)
    puts <<-EOM

      update: #{file_name}
      view: #{url}
      stop: 'ctrl + c'
    EOM
  end

  def self.name_changed_message(file_name, url)
    puts <<-EOM

      name change: #{file_name}
      view: #{url}
      stop: 'ctrl + c'
    EOM
  end

  def self.added_message(file_name, url)
    puts <<-EOM

      new: #{file_name}
      view: #{url}
      stop: 'ctrl + c'
    EOM
  end

  def self.removed_message(file_name, url)
    puts <<-EOM

      deleted: #{file_name}
      view: #{url}
      stop: 'ctrl + c'
    EOM
  end

  def self.help_info
    puts <<-EOM

      To use codefusion:
          1. type 'fusion <path_name>'
          2. ensure path is valid
          3. if path is valid, codefusion will start watching the file or directory for updates
             and provide a URL to your classroom
          4. to close, press 'ctrl + c'
    EOM
  end

  def self.error_message
    puts <<-EOM
      Something went wrong with the connection to your file.
      Please exit codefusion and restart your session.
    EOM
  end

  def self.wrong_filetype_message(file)
    puts <<-EOM

      The '#{file}' file type cannot be watched.
    EOM
  end

  def self.exit_message
    puts <<-EOM

      Thanks for using codefusion!

    EOM
  end
end